#include<iostream>
using namespace std;
int main(){
    long long N,a,seg=0,ans=0;
    cin>>N;
    for(long long i=0;i<N;i++){
        cin>>a;
        if(a%2==0){
            ans+=((seg*(seg+1))/2);
            seg=0;
        }else{
            seg++;
        }
    }
    ans+=((seg*(seg+1))/2);
    cout<<(N*(N+1))/2-ans<<endl;
    return 0;
}
